std::domain_error(3)

NAME
std::domain_error

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
domain_error (const char *) _GLIBCXX_TXN_SAFE
domain_error (const domain_error &)=default
domain_error (const string &__arg) _GLIBCXX_TXN_SAFE
domain_error (domain_error &&)=default
domain_error & operator= (const domain_error &)=default
domain_error & operator= (domain_error &&)=default
virtual const char * what () const noexcept

Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathematical sense).

Definition at line 153 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.